# Standard things

sp 		:= $(sp).x
dirstack_$(sp)	:= $(d)
d		:= $(dir)


# Local rules - examples are currently not installed, but could be, in
# eg. usr/share/doc/openradius/examples. The default configuration- and
# behaviour files are copied manually, because they are renamed in the
# process, and build/install doesn't deal with that.

CMD_INSTETC	:= $(CMD_INSTETC) \
		   $(INST) $(d)/dictionary -m 644 -d $(INST_PREFIX)$(DIR_ETC) \
		   	   $(d)/authenfunctions* -m 644 -d $(INST_PREFIX)$(DIR_ETC) \
		   	   $(d)/behaviour* -m 644 -d $(INST_PREFIX)$(DIR_ETC) \
		   	   $(d)/configuration* -m 644 -d $(INST_PREFIX)$(DIR_ETC) \
		   	   $(d)/dbfunctions* -m 644 -d $(INST_PREFIX)$(DIR_ETC) \
		   	   $(d)/eapfunctions* -m 644 -d $(INST_PREFIX)$(DIR_ETC) \
		   	   $(d)/lookup* -m 644 -d $(INST_PREFIX)$(DIR_ETC) \
		   	   $(d)/statefunctions -m 644 -d $(INST_PREFIX)$(DIR_ETC) \
		   	   $(d)/trackfunctions* -m 644 -d $(INST_PREFIX)$(DIR_ETC) \
			   $(d)/subdicts/* -m 644 -d $(INST_PREFIX)$(DIR_ETC)/subdicts \
			   $(d)/legacy/*   -m 640 -d $(INST_PREFIX)$(DIR_ETC)/legacy \
			   $(d)/modules/radldap.attrmap \
			   		   -m 644 -d $(INST_PREFIX)$(DIR_ETC)/modules \
			   $(d)/modules/eaptls/dh.pem \
			   $(d)/modules/eaptls/ca/cacert.pem \
			   $(d)/modules/eaptls/server/key.pem \
			   $(d)/modules/eaptls/server/cert.pem \
			   		   -m 640 -d $(INST_PREFIX)$(DIR_ETC)/modules/eaptls ; \
		   chmod 640 $(INST_PREFIX)$(DIR_ETC)/configuration \
		   	     $(INST_PREFIX)$(DIR_ETC)/behaviour


# Standard things

d		:= $(dirstack_$(sp))
sp		:= $(basename $(sp))

